//----------------------------------------------
// Real Time Temperature using the DB18B20
//----------------------------------------------

void print_current_temp()
{
  sensors.requestTemperatures(); // Send the command to get temperatures
  TReading=sensors.getTempCByIndex(0);
  lcd.setCursor(0,3);
  lcd.print(sensors.getTempCByIndex(0));
  CheckTempChange();
}



//----------------------------------------------
// Printing the Minimum and Maxium Teperatures
//----------------------------------------------

void print_max_min_temp()
{
  lcd.setCursor(7, 3);
  lcd.print(MaxTReading);
  lcd.setCursor(14, 3);
  lcd.print(MinTReading);
}



//----------------------------------------------
// Checking the Minimum and Maxium Teperatures
//----------------------------------------------


void CheckTempChange()
{
  if (GlobTime==0)  // resets teperature to current temperature at 0.00am in the morning
  {
    MaxTReading = sensors.getTempCByIndex(0);
    MinTReading = sensors.getTempCByIndex(0);
  }

  if (TReading < MaxTReading)
  {
    MaxTReading=sensors.getTempCByIndex(0);
  }

  if (TReading > MinTReading)
  {
    MinTReading=sensors.getTempCByIndex(0);
  }

}
